Metadata
Retrieves a paginated list of all metadata entries for the specified playbook, with optional search and sorting.
Bearer authentication with JWT
OK
Bad Request
Forbidden
GET /playbooks/{playbookIdentifier}/metadata HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"isYes": true,
"text": "text",
"decimalValue": 1,
"date": "2026-01-01T00:00:00.000Z",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"name": "text",
"description": "text",
"dataType": "text",
"isRequired": true,
"options": [
{
"name": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
],
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
}
]Creates a new metadata entry for the specified playbook.
Bearer authentication with JWT
Created
Bad Request
Forbidden
POST /playbooks/{playbookIdentifier}/metadata HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 271
{
"isYes": true,
"decimalValue": 1,
"text": "text",
"date": "2026-01-01T00:00:00.000Z",
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"organizationMetadataIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"isYes": true,
"text": "text",
"decimalValue": 1,
"date": "2026-01-01T00:00:00.000Z",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"name": "text",
"description": "text",
"dataType": "text",
"isRequired": true,
"options": [
{
"name": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
],
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
}Retrieves the details of a playbook metadata entry using its object identifier.
Bearer authentication with JWT
OK
Forbidden
Not Found
GET /playbooks/{playbookIdentifier}/metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"isYes": true,
"text": "text",
"decimalValue": 1,
"date": "2026-01-01T00:00:00.000Z",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"name": "text",
"description": "text",
"dataType": "text",
"isRequired": true,
"options": [
{
"name": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
],
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
}Updates the details of an existing metadata entry for the specified playbook using its object identifier.
Bearer authentication with JWT
OK
Bad Request
Forbidden
Not Found
PUT /playbooks/{playbookIdentifier}/metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217
{
"isYes": true,
"decimalValue": 1,
"text": "text",
"date": "2026-01-01T00:00:00.000Z",
"organizationMetadataIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"isYes": true,
"text": "text",
"decimalValue": 1,
"date": "2026-01-01T00:00:00.000Z",
"categories": [
"123e4567-e89b-12d3-a456-426614174000"
],
"singleCategoryIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"name": "text",
"description": "text",
"dataType": "text",
"isRequired": true,
"options": [
{
"name": "text",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
],
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
}Deletes the specified playbook metadata entry using its object identifier.
Bearer authentication with JWT
No Content
No content
Forbidden
Not Found
DELETE /playbooks/{playbookIdentifier}/metadata/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Adds a category to the specified playbook metadata.
Bearer authentication with JWT
No Content
No content
Bad Request
Forbidden
Not Found
POST /playbooks/{playbookIdentifier}/metadata/{objectIdentifier}/categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59
{
"optionIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}No content
Removes a category from the specified playbook metadata entry using its object identifier.
Bearer authentication with JWT
No Content
No content
Forbidden
Not Found
DELETE /playbooks/{playbookIdentifier}/metadata/{objectIdentifier}/categories/{optionIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
